Bug 111163 - libgsf-devel should Requires: glib2-devel, libxml2-devel, gnome-vfs2-devel
libgsf-devel should Requires: glib2-devel, libxml2-devel, gnome-vfs2-devel
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libgsf (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-28 12:24 EST by Maxim Dziumanenko
Modified: 2013-04-02 00:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-11 16:56:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Maxim Dziumanenko 2003-11-28 12:24:41 EST
Description of problem:
1. /usr/lib/pkgconfig/libgsf-1.pc (frpm libgsf-devel package)
references to glib2 and libxml2 pkgconfig files.
2. gsf-input-gnomevfs.h (frpm libgsf-devel package) includes headers
from gnome-vfs2-devel

Version-Release number of selected component (if applicable):
libgsf-1.8.2-1

How reproducible:
Always

Steps to Reproduce:
1.rpm -i libgsf-devel-1.8.2-1.i386.rpm
2.rpm -e gnome-vfs2-devel
3.rpmbuild --rebuild librsvg2-2.4.0-3.src.rpm (it requires
libgsf-devel, but doesn't directly depend on gnome-vfs2-devel)
4. Wait for build errors
  
Actual results:


Expected results:


Additional info:
Comment 1 Miloslav Trmac 2003-11-28 14:07:27 EST
Triage->Easyfix
Comment 2 Warren Togami 2004-04-11 16:56:42 EDT
rawhide soon

Note You need to log in before you can comment on or make changes to this bug.